PSIsafe System Requirements

The recommended system specifications represent the environment for which the PSIsafe application was intended to run. This does not exclude newer platforms, hardware, or system architecture unless otherwise noted.

If system specifications fall below the recommended requirements, the administrator may have to upgrade the system’s hardware and/or software before installing and configuring PSIsafe. Having a system that is below specifications does not necessarily imply that the application will not work; however, PSIGEN cannot support a system with hardware or software that is below the recommended requirements. Please contact the Support Team for more details.

PSIsafe On-Premise and Cloud Requirements

ComponentRequirement
Desktop Operating SystemWindows 7 - Windows 10 (x86/64)
RAM4GB or more
HDD1GB Free Space or more
Video1280x1024 or Greater
FrameworkMicrosoft .NET Framework Version 4.6.1 or Later
LAN/WAN Connectivity Recommendations
LAN speeds of 100 MB minimum with Gigabyte connection to the server
WAN connectivity of 512 KB minimum upload and download
Secure connection with firewall/VPN

*Must have connection to PSIsafe Server via LAN, WAN, VPN or Internet.

PSIsafe Server Requirements

ComponentRequirement
Server Operating SystemWindows Server 2008 R2 - Windows Server 2016
SQL Server System Microsoft SQL Server 2008 R2 or later, SQL Server 2008 R2 Express or later.
HDDSCSI Raid 5 or Raid 10
FrameworkMicrosoft .NET Framework Version 4.6 or Later.

*If using a VM, Virtual Machine recommendation is to have SQL and SAFE server on different VM

PSIsafe Web Requirements

ComponentRequirement
Desktop Operating SystemWindows 7 - Windows 10 (all 32 or 64-bit)
RAM3GB or more
HDD1GB Free Space or more
Video1280x1024 or greater
FrameworkMicrosoft .NET Framework Version 4.6 or later
Internet BrowserMicrosoft Internet Explorer 11 or later, Mozilla Firefox 50 or later, Apple Safari 10.0 or later, Google Chrome 50 or later

*Must have connection to PSIsafe Server via LAN, WAN, VPN or Internet.

PSIsafe Web Server Requirements

ComponentRequirement
Server Operating SystemMicrosoft Windows Server 2008 R2 SP1 - Windows Server 2012 R2 or later
PSIsafeVersion 9.0 or later
FrameworkMicrosoft .NET Framework Version 4.6 or later
SSLSSL Certificate